// 请求方式
declare type RequestMethod = 'get' | 'post' | 'put' | 'delete'
declare type RequestOption = {
	url: string;
	method?: RequestMethod;
	data?: AllType | null;
	getOriginResult?: boolean;
	baseURL?: string;
}

// 接口返回数据类型
declare interface APIResponse<T> {
	/**
	 * 错误码，0:成功，其他失败
	 */
	code: number;
	/**
	 * 非0情况下，提示信息
	 */
	msg: string;
	cost: string;
	trace_id: string;
	data?: T;
}